#!/bin/sh
# -------------------------------------------------------------------------
#
#  renders a POV-Ray scene in different variants
#  and combines them to an icon with transparency
#
#   Usage:
#
#     render_icon.sh Scene Image Render_Options
#
#   where 'Scene' is the name of the scene
#   and 'Image the prefix for the images to generate
#
#   requires ImageMagick tools
#
# -------------------------------------------------------------------------

POVRAY=/home/chris/povray/megapov/build_unix/unix/megapov
#POVRAY=povray

SCENE=$1
IMAGE=$2
OPTIONS="$3"

$POVRAY -i${SCENE} $OPTIONS +fn16 -o${IMAGE}_alpha.png DECLARE=Variant=1 +ua
$POVRAY -i${SCENE} $OPTIONS +fn16 -o${IMAGE}_bkg.png DECLARE=Variant=2
$POVRAY -i${SCENE} $OPTIONS +fn16 -o${IMAGE}_shadow.png DECLARE=Variant=3

convert -negate ${IMAGE}_shadow.png ${IMAGE}_shadow2.png
composite -compose clear ${IMAGE}_alpha.png ${IMAGE}_bkg.png ${IMAGE}_black.png
composite -compose Dst_In ${IMAGE}_black.png ${IMAGE}_bkg.png -matte ${IMAGE}_shadow2.png ${IMAGE}_bkg2.png
composite -compose over ${IMAGE}_alpha.png ${IMAGE}_bkg2.png ${IMAGE}.png

rm -f ${IMAGE}_shadow2.png ${IMAGE}_bkg2.png ${IMAGE}_black.png
